# Simulate Device Disconnection

* [Request Parameters](#request-parameters)
* [Response](#response)

Simulates disconnecting a device from Seam. Only applicable for [sandbox devices](https://docs.seam.co/latest/core-concepts/workspaces#sandbox-workspaces). See also [Testing Your App Against Device Disconnection and Removal](https://docs.seam.co/latest/core-concepts/devices/testing-your-app-against-device-disconnection-and-removal).

{% tabs %}
{% tab title="JavaScript" %}
Simulates disconnecting a device from Seam.

**Code:**

```javascript
await seam.devices.simulate.disconnect({
  device_id: "a60686b8-f401-452d-9f67-53d139cf6160",
});
```

**Output:**

```javascript
// void
```

{% endtab %}

{% tab title="cURL" %}
Simulates disconnecting a device from Seam.

**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/devices/simulate/disconnect" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "device_id": "a60686b8-f401-452d-9f67-53d139cf6160"
}
EOF
```

**Output:**

```curl
{}
```

{% endtab %}

{% tab title="Python" %}
Simulates disconnecting a device from Seam.

**Code:**

```python
seam.devices.simulate.disconnect(device_id="a60686b8-f401-452d-9f67-53d139cf6160")
```

**Output:**

```python
None
```

{% endtab %}

{% tab title="Ruby" %}
Simulates disconnecting a device from Seam.

**Code:**

```ruby
seam.devices.simulate.disconnect(device_id: "a60686b8-f401-452d-9f67-53d139cf6160")
```

**Output:**

```ruby
nil
```

{% endtab %}

{% tab title="PHP" %}
Simulates disconnecting a device from Seam.

**Code:**

```php
$seam->devices->simulate->disconnect(
    device_id: "a60686b8-f401-452d-9f67-53d139cf6160",
);
```

**Output:**

```php
```

{% endtab %}

{% tab title="Seam CLI" %}
Simulates disconnecting a device from Seam.

**Code:**

```seam_cli
seam devices simulate disconnect --device_id "a60686b8-f401-452d-9f67-53d139cf6160"
```

**Output:**

```seam_cli
{}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Client session token
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`device_id`** *String* (Required)

ID of the device that you want to simulate disconnecting from Seam.

***

## Response

{% hint style="success" %}
Returns: **void**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/devices/simulate/disconnect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
